---
- name: Deploy http proxy config
  copy:
    dest: /etc/environment.d/10-lmn-proxy.conf
    content: |
      http_proxy="{{ proxy }}"
      https_proxy="{{ proxy }}"
      ftp_proxy="{{ proxy }}"
      no_proxy="{{ no_proxy }}"

- name: set aptcache
  ansible.builtin.copy:
    dest: /etc/apt/apt.conf
    content: >
      {{ apt_conf }}

- name: set ntp Server
  ansible.builtin.lineinfile:
    path: /etc/systemd/timesyncd.conf
    insertafter: '^#NTP='
    line: NTP={{ ntp_serv }}
